global_variable Struct Reference

## Data Fields

int | counter
void * | data
gvar_getter_t * | getter
gvar_setter_t * | setter
gvar_marker_t * | marker
int | block_trace
struct trace_var * | trace

## Detailed Description

Definition at line 337 of file variable.c.

## Field Documentation

int global_variable::block_trace

Definition at line 343 of file variable.c.

Referenced by rb_alias_variable(), rb_global_entry(), rb_gvar_set(), and trace_en().

int global_variable::counter

Definition at line 338 of file variable.c.

Referenced by rb_alias_variable(), and rb_global_entry().

void* global_variable::data

Definition at line 339 of file variable.c.

Referenced by mark_global_entry(), rb_define_hooked_variable(), rb_global_entry(), rb_gvar_get(), rb_gvar_set(), undef_setter(), and val_setter().

gvar_getter_t* global_variable::getter

Definition at line 340 of file variable.c.

Referenced by rb_define_hooked_variable(), rb_define_virtual_variable(), rb_global_entry(), rb_gvar_get(), and undef_setter().

gvar_marker_t* global_variable::marker

Definition at line 342 of file variable.c.

Referenced by mark_global_entry(), rb_define_hooked_variable(), rb_global_entry(), and undef_setter().

gvar_setter_t* global_variable::setter

Definition at line 341 of file variable.c.

Referenced by rb_define_hooked_variable(), rb_define_virtual_variable(), rb_global_entry(), rb_gvar_set(), and undef_setter().

struct trace_var* global_variable::trace

Definition at line 344 of file variable.c.

Referenced by mark_global_entry(), rb_alias_variable(), rb_global_entry(), rb_gvar_set(), and remove_trace().

The documentation for this struct was generated from the following file:

- variable.c